@import "variables.scss";

#trending {
    @media (min-width: 600px) {
        > div {
            display: flex;
            > section {
                max-width: 53%;
                margin-right: 1em;
            }
        }
    }
    h3 {margin-left: 1em}
    li {
        border-top: 1px solid rgba(#777, 0.25);
    }
}

#category-crates, #category-subcategories, #trending {
    > .inner-col {
        padding: 0;
    }

    .next-page {
        text-align: right;
        font-size: 0.9em;
        opacity: 0.75;
    }
}

@media (min-width: 800px) {
    // same as home
    #category.cat-std, main.cat-std > #category-crates, main.cat-std > #category-subcategories {
        > .inner-col {
            max-width: 90em;
        }
    }
    #category.cat-std > .inner-col {
        padding: 0 1em;
    }
}


ul.crates-list {
        margin: 1em 0; padding: 0;
        list-style: none;
        > li {
            margin: 0; padding: 0;
        }
    a {
        contain: style paint;
        display: block;
        overflow: hidden;
        padding: 1em;
        color: inherit;
        &:link h4 {
            color: var(--link-color);
        }
        &:visited h4 {
            color: var(--visited-link-color);
        }
        &:hover {
            text-decoration: none;
            background: lighten($neutral-shade, 30%);
            @include dark {
                background: lighten($dark-neutral-shade, 10%);
            }
            code {
                background: lighten($neutral-shade, 10%);
                @include dark {
                    background: lighten($dark-neutral-shade, 00%);
                }
            }
            .desc {
                color: var(--text-color);
                @include dark {
                    color: lighten($dark-text-color, 5%);
                }
            }
            h4 {
                text-decoration: underline;
            }
            .meta {
                opacity: var(--gamma-opacity8);
            }
            .nightly {
                background: darken($blue-shade, 0%);
                border-color: darken($blue-shade, 10%);
                color: $inverted-text-color !important;
            }
        }
        > .h {
            line-height: 1.3;
            font-size: 1.05em;
            margin: 0 0 0.333em;
            text-wrap: balance;
        }
        h4, .desc {
            display: inline;
        }
        .desc {
            color: lighten($text-color, 20%);
            @include dark {
                color: darken($dark-text-color, 10%);
            }
            font-weight: 400;
            code {
                border: 0;
                color: lighten($text-color, 40%);
                background: lighten($neutral-shade, 30%);
                @include dark {
                    color: darken($dark-text-color, 15%);
                    background: lighten($dark-neutral-shade, 20%);
                }
            }
        }
        @media (max-width: 640px) {
            h4 {
                font-size: 1em;
            }
            .desc {
                font-size: 0.85em;
            }
        }
        h4 {
            font-size: 1.1em;
            margin: 0 0.5ex 0 0;
            font-weight: 500;
        }

    }
}
#category-subcategories {
    .h > h4 {
        font-size: 1.25em;
        font-weight: bold;
    }
    .desc::before {
        content: "›";
        color: lighten($text-color, 20%);
        @include dark {
            color: lighten($dark-text-color, 0%);
        }
        margin-right: 1ex;
    }
}
// also used by reverse dependencies
span.downloads {
    color: var(--text-color);
    @include dark {
        color: darken($dark-text-color, 10%);
    }
    b {
        color: var(--text-color);
        @include dark {
            color: darken($dark-text-color, 10%);
        }
        font-weight: normal;
        padding-left: 0.1ex;
    }
    &::before {
    content: "⬇︎";
    color: lighten($neutral-shade, 10%);
    @include dark {
        color: lighten($dark-neutral-shade, 40%);
    }
    margin: 0 0.25ex 0 0;
    text-decoration: underline;
    vertical-align: 7%;
    font-size: 0.8em
    }
}
.crates-list {
    .meta {
        font-size: 0.8em;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        color: lighten($text-color, 5%);
        @include dark {
            color: lighten($dark-text-color, 10%);
        }
    }
    .version, .k, .downloads, .labels > span, .pubdate {
        margin-right: 2ex;
    }
    .version {
        @include dark {
            color: $dark-red-shade;
        }
        &.stable {
            color: darken($green-shade, 3%);
            @include dark {
                color: $green-shade;
            }
        }
        &.okay {
            color: darken($red-shade, 5%);
            @include dark {
                color: $dark-orange-shade;
            }
        }
        &.eek {
            color: lighten($red-shade, 20%);
            @include dark {
                color: lighten($dark-red-shade, 10%);
            }
            font-weight: bold;
        }
        > span, > i {
            opacity: var(--gamma-opacity6);
            padding-right: 0.1ex;
        }
    }
    .k {
        color: lighten($text-color, 40%);
        > span {
            opacity: var(--gamma-opacity);
            padding-right: 0.1ex;
        }
        font-weight: 300;
    }
    .labels > span {
        font-size: 0.9em;
        vertical-align: 3%;
        color: lighten($text-color, 40%);
        border: 1px solid lighten($text-color, 50%);
        border-radius: 3px;
        padding: 0 3px;

        &.nightly {
            color: darken($blue-shade, 00%);
            border-color: 1px solid lighten($text-color, 50%);
            @include dark {
                color: lighten($blue-shade, 40%);
                border-color: 1px solid lighten($dark-text-color, 50%)
            }
        }
    }

}

.seealso {
    padding: 1em 0;
    color: #bbb;
    a {
        padding: 0.333em 0;
        font-weight: 400;
        white-space: nowrap;
    }
    + .seealso {
        padding-top: 0;
    }
}
